//Fichier d'en tete de afficheur.c


//Prototyopes externes
void AFFRefresh(void);
void AFFInit(void);
void AFFReset(void);
void AFFNbPistes(unsigned char PisteMin, unsigned char PisteMax);
void AFFTemps(unsigned char minutes, unsigned char secondes);
void AFFSymboleLecture(void);
void AFFCaractere(unsigned char colonne, unsigned char caractere);
void AFFText(unsigned char texte[8]);
void AFFSymbolePause(void);

//Usage interne
void AFFSetBit(unsigned char colonne, unsigned char ligne);
void AFFResetBit(unsigned char colonne, unsigned char ligne);
void AFFConvert_Coord(unsigned char colonneaff, unsigned char ligneaff, unsigned char *colonneuC, unsigned char *ligneuC);
void AFFChiffre(unsigned char chiffre, unsigned char colonne);
void AFFNombre(unsigned char nombre, unsigned char colonne);


//Dfinitions de l'afficheur

//LSB = port COMPLET
#define PORT_LSB_COL_AFF						PORTD
#define TRIS_LSB_COL_AFF						TRISD

//MSB = quatre bits de poids FAIBLE
#define PORT_MSB_COL_AFF						PORTC
#define TRIS_MSB_COL_AFF						TRISC

//Lignes = 4 bits de poids FORT
#define AFF_NB_LIGNES							16
#define PORT_LIGNE_AFFICHEUR					PORTC
#define TRIS_LIGNE_AFFICHEUR					TRISC


//Definition des segments pour l'affichage des chiffres
#define SEGMENT_A								0x0C
#define SEGMENT_B								0x0B
#define SEGMENT_C								0x0A
#define SEGMENT_D								0x09
#define SEGMENT_E								0x08
#define SEGMENT_F								0x07
#define SEGMENT_G								0x06
#define SEGMENT_L								0x05
#define SEGMENT_MK								0x04
#define SEGMENT_N								0x03
#define SEGMENT_H								0x02
#define SEGMENT_J								0x01
#define SEGMENT_I								0x00
