//Ce fichier contient les en-tetes de cd.c


//Cette structure contient les lments 
//dfinissant l'tat du lecteur
struct TState
{
	//Informations de la TOC
	unsigned char TrackNumber;		//Nombre de pistes dans le CD
	unsigned char CdLengthMin;		//Nb de minutes dans le cd
	unsigned char CdLengthSec;		//secondes du temps total
	

	//Informations courantes
	unsigned char CurrentTrack;	//Piste en cours de lecture

	//Informations d'tat
	unsigned CdPresent:1;			//Dfinit si un CD est insr
	unsigned CdPowered:1;			//Dfinit si la platine est alimente
	unsigned CdPlaying:1;			//Dfinit si la lecture est en cours
	unsigned CdPaused:1;			//Dfinit si on est en pause
	unsigned TocReaded:1;			//Dfinit si on a lu la TOC
	unsigned CdEjected:1;			//1 si le tiroir est sorti
};

struct TTrackInfo
{
	unsigned char TimeMin;	//Dure de la piste en minutes
	unsigned char TimeSec;	//Dure de la piste en secondes
};

//prototypes externes
void CDInit(void);
void CDTraitementDSA(unsigned char, unsigned char);
void CDMarcheArret(void);
void CDPlayStop(void);
void CDEject(void);
void CDRefresh(void);
void CDPause(void);

//Prototypes internes
void CDMarche(void);
void CDLecture(unsigned char track);
void CDStop(void);
void CDSortirTiroir(void);
void CDRentrerTiroir(void);
void CDReset(void);

//Dfinition des entres sorties
#define ALIM_220V									LATAbits.LATA2
#define ALIM_NV1									LATAbits.LATA4
#define ALIM_NV2									LATAbits.LATA3
#define ALIM_RELAIS_SORTIE							LATAbits.LATA5

#define TRIS_ALIM_220V								TRISA
#define TRIS_ALIM_NV1								TRISA
#define TRIS_ALIM_NV2								TRISA
#define TRIS_ALIM_RELAIS_SORTIE						TRISA

#define MSQ_ALIM_220V								0b00000100
#define MSQ_ALIM_NV1								0b00010000
#define MSQ_ALIM_NV2								0b00001000
#define MSQ_ALIM_RELAIS_SORTIE						0b00100000


//Commande du tiroir
#define TIROIR_EN									PORTEbits.RE0
#define TIROIR_1A									PORTEbits.RE1
#define TIROIR_2A									PORTEbits.RE2

#define TRIS_TIROIR_EN								TRISE
#define TRIS_TIROIR_1A								TRISE
#define TRIS_TIROIR_2A								TRISE

#define MSQ_TIROIR_EN								0b00000001
#define MSQ_TIROIR_1A								0b00000010
#define MSQ_TIROIR_2A								0b00000100


//Capteurs fin de course
#define CAPTEUR_FDC_E								PORTAbits.RA0
#define CAPTEUR_FDC_S								PORTAbits.RA1

#define TRIS_CAPTEUR_FDC_E							TRISA
#define TRIS_CAPTEUR_FDC_S							TRISA

#define MSQ_CAPTEUR_FDC_E							0b00000001
#define MSQ_CAPTEUR_FDC_S							0b00000010


//Modes d'affichage du temps
#define AFF_TEMPS_PISTE_ECOULE						0x00
#define AFF_TEMPS_PISTE_RESTANT						0x01
#define AFF_TEMPS_CD_RESTANT						0x02
#define AFF_TEMPS_CD_ECOULE							0x03
