//Ce fichier va grer le clavier et xcuter les actions
//Correspondantes

#include <p18f452.h>
#include "clavier.h"
#include "main.h"
#include "cd.h"
#include "interrupt.h"
#include "rc5.h"
#include "afficheur.h"



void ClavierInit(void)
{
	//Cette fonction fait l'initialisation du clavier

	//On positionne les ports clavier en entre
	TRIS_BOUTON_MA = TRIS_BOUTON_MA | MSQ_BOUTON_MA;
	TRIS_BOUTON_EJECT = TRIS_BOUTON_EJECT | MSQ_BOUTON_EJECT;
	TRIS_BOUTON_PLAY_STOP = TRIS_BOUTON_PLAY_STOP | MSQ_BOUTON_PLAY_STOP;

	//on active les rsistances de rappel du portb
	INTCON2bits.RBPU = 0;
}

void ClavierTraitement(void)
{
	//Cette fonction va permettre de lire les touches du clavier
	//et de dclencher les actions appropries

	if (!BOUTON_MA)
	{
		//On met le timer en marche pour lire le temps coul
		INTTimer1Enable(1);

		//On attend que l'utilisateur relache le bouton
		while(!BOUTON_MA) {}
	
		//On arrte le timer
		INTTimer1Enable(0);

		//On vient lire le nombre d'interruptions qui ont eu lieu
		//Si plus de 50, c'est un appui long
		if (INTTmr1NbInterrupts() > 50)
		{
			//On fait l'auto-apprentissage telecommande
			RC5AutoApprentissage();
		}
		else
		{
			//Appui court
			//On vient mettre le lecteur en marche ou on l'teint
			//selon le cas
			CDMarcheArret();
		}
	}

	if(!BOUTON_PLAY_STOP)
	{
		//On attend le relachement
		while(!BOUTON_PLAY_STOP) {}

		//on met la platine en lecture ou stop, selon le cas
		//CDPlayStop();
		//AFFReset();
		//AFFText("APP BT2");
		AFFChiffre(2,4);
	}

	if (!BOUTON_EJECT)
	{
		//On attend le relachement
		while (!BOUTON_EJECT) {}

		//on rentre ou on sort le tiroir, selon le cas
		//CDEject();
		//AFFReset();
		//AFFText("APP BT3");
		AFFChiffre(3,4);
	}
}
