//Ce fichier contient les en-tetes des fonctions
//de dsa.c


//Table des diffrentes entres-sorties DSA
#define DSA_DATA					PORTBbits.RB2
#define DSA_ACK 					PORTBbits.RB1
#define DSA_STROBE					PORTBbits.RB3

#define MSQ_DSA_DATA				0b00000100
#define MSQ_DSA_ACK					0b00000010
#define MSQ_DSA_STROBE				0b00001000

#define PORT_DSA_DATA				TRISB
#define PORT_DSA_ACK				TRISB
#define PORT_DSA_STROBE				TRISB


//Definition des commande DSA
#define PLAY_TITLE								0x01
#define STOP									0x02
#define READ_TOC								0x03
#define PAUSE									0x04
#define PAUSE_RELEASE							0x05
#define SEARCH_FORWARD							0x06
#define SEARCH_BACKWARD							0x07
#define SEARCH_RELEASE							0x08
#define GET_TITLE_LENGTH						0x09
#define GET_COMPLETE_TIME						0x0D
#define READ_LONG_TOC							0x14
#define SET_MODE								0x15
#define SPIN_UP									0x18
#define SET_VOLUME								0x51
#define CLEAR_TOC								0x6A
#define SET_DAC_MODE							0x70

//Commandes rponse
#define FOUND									0x01
#define STOPPED									0x02
#define DISC_STATUS								0x03
#define ERROR_VALUE								0x04
#define TITLE_LENGTH_LSB						0x09
#define TITLE_LENGTH_MSB						0x0A
#define ACTUAL_TITLE							0x10
#define ACTUAL_REL_MINUTES						0x12
#define ACTUAL_REL_SECONDS						0x13
#define ABSOLUTE_TIME_MINUTES					0x14
#define ABSOLUTE_TIME_SECONDS					0x15
#define MODE_STATUS								0x17
#define TOC_MIN_TRACK							0x20
#define TOC_MAX_TRACK							0x21
#define DISC_TIME_MIN							0x22
#define DISC_TIME_SEC							0x23
#define VOLUME_LEVEL							0x51
#define LONG_TOC_TRACK_NUMBER					0x60
#define TOC_CLEARED								0x6A
#define DAC_MODE								0x70



//Definition des arguments DSA
#define LOWSPEED_BORDERCLEAR					0x00
#define HIGHSPEED_BORDERCLEAR					0x01
#define LOWSPEED_BORDERSET						0x10
#define HIGHSPEED_BORDERSET						0x11


//prototypes externes
void DSASend(unsigned char commande, unsigned char argument);
void DSAReceive(unsigned char *commande, unsigned char *argument);
void DSAInit(void);


//prototypes internes
void DSAConfigIn(void);
void DSAConfigOut(void);
void DSASendSynchro(void);
void DSAReceiveSynchro(void);
void DSAReceiveAck(void);
void DSASendAck(unsigned char ok);
void DSASendChar(unsigned char commande);
unsigned char DSAReceiveChar(void);
